searchData={"items":[{"type":"module","title":"MbtaMetro","doc":"A Phoenix LiveView component library.","ref":"MbtaMetro.html"},{"type":"module","title":"MbtaMetro.Live.Map","doc":"A live component that renders a map using AWS Location Service.\n\nYou must pass in the following assigns:\n\n  * `:api_key` - The AWS Location Service API key.\n  * `:map_name` - The name of the map to render.\n  * `:region` - The AWS region where the map is located.\n\nYou can optionally pass in the following assigns:\n\n  * `:class` - The CSS classes to apply to the map container. You'll most likely want to set the height and width of the map here.\n  * `:click_handler` - A boolean indicating whether to handle map clicks.\n\nIf `:click_handler` is `true`, the component will send a `map-clicked` event to the parent live view when the map is clicked.","ref":"MbtaMetro.Live.Map.html"},{"type":"function","title":"MbtaMetro.Live.Map.mount/3","doc":"","ref":"MbtaMetro.Live.Map.html#mount/3"},{"type":"function","title":"MbtaMetro.Live.Map.render/1","doc":"Renders the map component.","ref":"MbtaMetro.Live.Map.html#render/1"},{"type":"extras","title":"MBTA METRO","doc":"# MBTA METRO\n\nTo demo all of the MBTA METRO components:\n\n```\n%> mix setup\n%> mix phx.server\n```\n\nNow you can visit [`localhost:4000`](http://localhost:4000) from your browser.","ref":"readme.html"},{"type":"extras","title":"Installation - MBTA METRO","doc":"","ref":"readme.html#installation"},{"type":"extras","title":"Install Tailwind - MBTA METRO","doc":"If you have a clean, recent installation of Phoenix, you should already have Tailwind installed.\nIf not, you can follow [this guide](https://tailwindcss.com/docs/guides/phoenix).","ref":"readme.html#install-tailwind"},{"type":"extras","title":"Install MBTA METRO - MBTA METRO","doc":"Add this to your `mix.exs`:\n\n```elixir\ndef deps do\n  [{:mbta_metro, \"0.0.1-alpha\"}]\nend\n```\n\nImport the styles in your `assets/css/app.css`:\n\n```css\n@import \"../../deps/mbta_metro/priv/static/assets/app.css\";\n```\n\nThe, follow the installation instructions for the [npm package](https://www.npmjs.com/package/mbta_metro).","ref":"readme.html#install-mbta-metro"},{"type":"extras","title":"Components - MBTA METRO","doc":"Some components, like the Map, take further configuration.\n\n#### Map\n\n```elixir\nconfig :mbta_metro, :aws_location,\n  api_key: System.get_env(\"AWS_LOCATION_API_KEY\"),\n  map_name: System.get_env(\"AWS_LOCATION_MAP_NAME\"),\n  region: System.get_env(\"AWS_LOCATION_REGION\")\n```","ref":"readme.html#components"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}